com.holonplatform.vaadin.components.builders

## Interface SinglePropertySelectInputBuilder<T,B extends SinglePropertySelectInputBuilder<T,B>>

- Type Parameters:
    `T` - Value type
    `B` - Actual builder type
  All Superinterfaces:
    BaseSelectInputBuilder<T,SingleSelect<T>,T,com.holonplatform.core.property.PropertyBox,B>, BaseSelectInputBuilder.SingleSelectConfigurator<T,com.holonplatform.core.property.PropertyBox,B>, ComponentConfigurator<B>, InputBuilder<T,SingleSelect<T>,B>, InputConfigurator<T,B>, PropertySelectInputBuilder<T,SingleSelect<T>,T,B>, SelectInputBuilder<T,SingleSelect<T>,T,com.holonplatform.core.property.PropertyBox,B>
  All Known Subinterfaces:
    BaseSelectModeSinglePropertySelectInputBuilder<T,B>, BaseSelectModeSinglePropertySelectInputBuilder.NativeModeSinglePropertySelectInputBuilder<T>, BaseSelectModeSinglePropertySelectInputBuilder.OptionsModeSinglePropertySelectInputBuilder<T>, BaseSelectModeSinglePropertySelectInputBuilder.SelectModeSinglePropertySelectInputBuilder<T>, SinglePropertySelectInputBuilder.GenericSinglePropertySelectInputBuilder<T>

      public interface SinglePropertySelectInputBuilder<T,B extends SinglePropertySelectInputBuilder<T,B>>
      extends BaseSelectInputBuilder.SingleSelectConfigurator<T,com.holonplatform.core.property.PropertyBox,B>, PropertySelectInputBuilder<T,SingleSelect<T>,T,B>

  Builder to create a single selection `Input` with `Property` data source support.
  Since:
    5.0.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `SinglePropertySelectInputBuilder.GenericSinglePropertySelectInputBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectInputBuilder

      `BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B>>, BaseSelectInputBuilder.RenderingMode, BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `InputConfigurator.BaseFieldConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.SelectInputBuilder

      `addItem, addItem, addItem, addItem, items, items`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectInputBuilder

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator, itemDescriptionGenerator, itemIcon, itemIconGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputBuilder

      `asField, build, deferLocalization, dragSource, dropTarget, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `locale, readOnly, tabIndex, withValue, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.PropertySelectInputBuilder

      `dataSource, dataSource, dataSource, itemConverter`

Copyright © 2019 The Holon Platform. All rights reserved.